* -lp3820.pro: Profile for LP3820  V2.7 External
*  lp3820 (C) Copyright IBM Corp. 1990, 1997

*
* Global defaults
*
default  = none              <-- Select default printer entry
paper    = letter            <-- Set to: a4, letter, legal, exec, b5, a5

afpext   = .afp              <-- Default input AFP file extension
psegext  = .pse              <-- Extension for external PSEGs
psheader = !lp3820           <-- Use internal PS header
option   = noalign           <-- Alignment can be top, center, bottom, noalign
ovlyext  = .ovl              <-- Default overlay extension Overlay
metrics  = lp3820            <-- List of .ftb files
psegpos  = 150 150           <-- Placement of standalone PSEG
defcode  = 395               <-- Default codepage

*
* The following are a set of printer descriptions, each on starts with a
* printer entry, and contains a number of entries for that printer.
*
* The type can be: 4019, 4019x, 4029, hp, hp3, hp4, hpx, 4216hp, ps, or text
*
* The port may be any file name.  If it starts with a dot, this extension
* is appended to the input file name to form the output name.  A dash (-)
* indicates output should be sent to standard output.  A OS/2 logical
* printer is a name starting with a colon (:)
*
* Top and Left entries allow an adjustment of the top and left margins.
* Positive values move contents up and to the left.

*
*  Sample of HP LaserJet III (PCL5).
*
printer   = hp3
type      = hp3
port      = lpt1
left      = 60
include   !stdhp3            <- Standard bitmap font definitions
include   !stdfont           <- Standard bitmap fonts

*
*  Sample of HP LaserJet 4 (PCL5).
*
printer   = hp4
type      = hp4
port      = lpt1
left      = 60
include   !stdhp4            <- Standard bitmap font definitions
setup  1  \(%-12345X
* setup  2  \(&l26a0l0E      <- Enable if A4 paper not set as default

*
*  Sample of IBM 4039 (PCL5) also Lexmark Optra (4049)
*
printer   = 4039
type      = hp3
port      = lpt1
left      = 60
include   !stdhp3            <- Standard bitmap font definitions
include   !stdfont           <- Disable if you use LPBGOT package
* include   !lpbgot          <- Use with the LPBGOT PACKAGE

*
*  Sample of DeskJet or IBM/Lexmark 4076 (ExecJet II)
*
printer   = dj
type      = hpx
port      = lpt1
option    imgcomp            <- disable for LaserJet II
option    nodraft            <- draft, nodraft, quality
include   !stdfont           <- Standard bitmap font definitions
* scale     98  100          <- Vertical scale to show footers
* setup  2  \(&l26a0l0E      <- Enable for A4 if printer default not set

*
*  Sample of DeskJet with color
*
printer   = djcolor
type      = hpx
port      = lpt1
option    color
include   !stdfont           <- Standard bitmap font definitions
color     logo*  blue
color     ssseb  red
* color     rule   cyan
* color     image  magenta
color     bgotb  green
* scale     98  100          <- Vertical scale to show footers
* setup  2  \(&l26a0l0E      <- Enable for A4 if printer default not set

*
*  Sample of BubbleJet mono
*
printer   = bj
type      = bj
port      = lpt1
include   !bjfont           <- BubbleJet bitmap font definitions
font      time24b  time30b.dlf
font      helv24b  helv30b.dlf
* include bjbgot.pro

*
*  Sample of BubbleJet with color
*
printer   = bjc
type      = bj
port      = lpt1
option    color
include   !bjfont          <- BubbleJet bitmap font definitions
font      time24b  time30b.dlf
font      helv24b  helv30b.dlf
* include bjbgot.pro
color     logo*  blue
color     ssseb  red
color     bgotb  green

*
*  PostScript level 1 to printer
*
printer   = ps
type      = ps
port      = lpt1
include   !stdps             <- Standard PostScript definitions
* include  !psfoils          <- enable to get raster foils fonts

*
*  PostScript level 2 to printer (with color specified)
*
printer   = ps2
type      = ps
port      = lpt1
include   !stdps             <- Standard PostScript definitions
color     logo   cyan
color     bgotb  green
option    level2 imgcomp color
duplex    on

*
*  PostScript level 1 to a file
*
printer   = psf
type      = ps
port      = .ps
option    = nofdpos
include   !stdps             <- Standard PostScript definitions

*
*  PostScript multi-up examples (all show level 1)
*     multiup # shadow 75 rule 5 gray 80 scale 90  <- defaults
*     # can be 1, 2, 3, 4, or 8.  Can use noshadow, norule, or thick

*
*  PostScript 1-up (automatic scale to fit page on paper)
*
printer   = ps1up
type      = ps
port      = lpt1
include   !stdps             <- Standard PostScript definitions
multiup   1 noshadow norule scale 100  <- 1 up

*
*  PostScript 2-up with separator
*
printer   = ps2up
type      = ps
port      = lpt1
include   !stdps             <- Standard PostScript definitions
multiup   2 noshadow rule scale 100  <- 2 up

*
*  PostScript 4-up with shadow
*
printer   = ps4up
type      = ps
port      = lpt1
include   !stdps             <- Standard PostScript definitions
multiup   4

*
*  PostScript 8-up with full multiup example
*
printer   = ps8up
type      = ps
port      = lpt1
include   !stdps             <- Standard PostScript definitions
multiup   8 shadow 75 rule 5 gray 80 scale 90 <- defaults

*
*  IBM 4019 (PPDS)
*
printer   = 4019
type      = 4019
port      = lpt1
include   !stdfont           <- Standard bitmap fonts
* include lpbgot.pro         <-- enable BookMaster Gothic for all printers
* include hebrew.pro         <- Enable to add Hebrew support

*
*  IBM 4029 (PPDS) or 4037
*
printer   = 4029
type      = 4029
port      = lpt1
include   !std4029           <- Standard 4029 definitions
* psfont symb* sy______.pfb        <- enable for scalable symbols
* family symb  Symbol = = =  syma  <- enable for scalable symbols

*
*  Raster buffer PPDS mode (allows 4019 rotation)
*
printer   = 4019x
type      = 4019x
port      = lpt1
option    noimgcomp
include   !stdfont           <- Standard bitmap font definitions

*
*  Sample of HP LaserJet II (PCL4 - no rotation)
*
printer   = hp
type      = hp
port      = lpt1
include   !stdfont           <- Standard bitmap font definitions

*
*  Sample of Raster buffer hp mode (PCL4)
*
printer   = hpx
type      = hpx
port      = lpt1
option    noimgcomp
include   !stdfont           <- Standard bitmap font definitions

*
*  IBM 4216 (LaserJet+ emulation)
*
printer   = ppp
type      = 4216hp
* option  = nsf              <- For other LaserJet+ level printers
port      = lpt2
include   !stdfont           <- Standard bitmap font definitions

*
* Entry for tiff images
*
printer   = tiff
type      = tiff
port      = .001
option    = fullimg          <- fullimg or partimg
include   !stdfont

*
*  Entry for strip text only operation
*
printer   = text
type      = text
port      = .doc

*
*  Process lack of default printer
*
printer   = none             <- Just here to give an error message
error     No default printer has been specified

*
*  Place global settings at this point
*
includeall  !stdafp          <- Standard AFP definitions for all printers
* includeall lpbgot.pro      <-- enable BookMaster Gothic for all printers
* includeall hebrew
